Skip to main content
GET
/
v1
/
payments
/
{paymentId}
Get a payment
curl --request GET \
  --url https://stablepay-money-api-production.up.railway.app/v1/payments/{paymentId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pay_01HV8KZMRJPQR9S7T3XABCDEF",
  "status": "<string>",
  "amountStablecoin": "10.500000",
  "fiatAmount": "1350.000000",
  "providerRef": "CC4SOjQu8UUarKaOGZy9",
  "reference": "csh-txn-20260506-001",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Stablepay API key. Include as Authorization: Bearer <key>.

Path Parameters

paymentId
string
required

The pay_-prefixed payment ID.

Response

Payment found.

id
string
required

Prefixed ULID for this payment.

Example:

"pay_01HV8KZMRJPQR9S7T3XABCDEF"

status
string
required

Current state of the payment in the state machine. initiatedprovider_acceptedsucceeded | failed | refunded

paymentMethod
enum<string>
required

How the recipient receives funds.

Available options:
BANK,
MOMO,
PAYBILL,
TILL
sourceCurrency
enum<string>
required

Stablecoin sent onchain for payment settlement.

Available options:
USDC,
USDT
amountStablecoin
string
required

Total stablecoin amount charged.

Example:

"10.500000"

fiatAmount
string
required

Fiat amount the recipient receives.

Example:

"1350.000000"

destinationCurrency
enum<string>
required

Fiat currency received by the recipient.

Available options:
GHS,
KES,
NGN,
TZS,
UGX,
XAF,
XOF,
ZAR,
ZMW
providerRef
string | null
required

Provider's transaction ID. Null until the provider accepts.

Example:

"CC4SOjQu8UUarKaOGZy9"

reference
string | null
required

Caller's own reference code (e.g. "csh-txn-20260506-001"). Stored as supplied in the payment request.

Example:

"csh-txn-20260506-001"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required